# Cloud Items ☁

![Screenshot](https://user-images.githubusercontent.com/51391473/87363638-328a0280-c537-11ea-9e90-f992cbc13ab4.png)

[![Build status](https://github.com/minetest-mods/cloud_items/workflows/build/badge.svg)](https://github.com/minetest-mods/cloud_items/actions)
[![ContentDB](https://content.minetest.net/packages/Panquesito7/cloud_items/shields/downloads/)](https://content.minetest.net/packages/Panquesito7/cloud_items/)

Adds powerful cloud tools for Minetest.  
Stronger than diamond and other materials.  

## Installation

- Unzip the archive, rename the folder to `cloud_items` and
place it in .. minetest/mods/

- GNU/Linux: If you use a system-wide installation place
    it in ~/.minetest/mods/.

- If you only want this to be used in a single world, place
    the folder in .. worldmods/ in your world directory.

For further information or help, see:\
<https://wiki.minetest.net/Installing_Mods>

## Features

Take a look at this mod's features.\
Have any questions/comments? Submit an [issue](https://github.com/minetest-mods/cloud_items/issues/new) or [contact me](mailto:halfpacho@gmail.com).

### Difference between normal ores

This "ore", doesn't spawn underground!\
Instead, it spawns in the sky; that's why it's called "cloud".

An ore will be spawned somewhere in the schematic!\
You'll have certain probabilities to have an ore or not!

- For small clouds: 2.5% of getting an ore per node.
- For medium clouds: 5% of getting an ore per node.
- For big clouds: 7.5% of getting an ore per node.

Small schematic
![Small schematic](https://user-images.githubusercontent.com/51391473/69098689-af9fbf00-0a1e-11ea-9e88-c74a6b74baa3.png)

Medium schematic
![Medium schematic](https://user-images.githubusercontent.com/51391473/87362981-bfcc5780-c535-11ea-8caa-018af03e33d1.png)

Big schematic
![Big schematic](https://user-images.githubusercontent.com/51391473/87363085-03bf5c80-c536-11ea-8ab5-155a931e7400.png)

### Vehicles

There are some nice-craftable vehicles you can ride on.\
Here is one screenshot for each of the available vehicles:

![Cloud car](https://user-images.githubusercontent.com/51391473/99441120-13ccbb80-28dd-11eb-9eb1-8af7aa699b02.png)
![Cloud ship](https://user-images.githubusercontent.com/51391473/99441264-424a9680-28dd-11eb-8dba-fb8297fef92b.png)

### Cloud house

If you go above 1500 blocks up, you may find a cloud house!\
This cloud house includes great things such as chests with stuff!

![Cloud house](https://user-images.githubusercontent.com/51391473/88605632-178fb600-d040-11ea-8a38-e107881fb49b.png)
![Cloud house (1st floor)](https://user-images.githubusercontent.com/51391473/88605633-18284c80-d040-11ea-8452-3fd8fbbeb8f6.png)
![Cloud house (2nd floor)](https://user-images.githubusercontent.com/51391473/88605634-18c0e300-d040-11ea-9bc6-ddfd7dcd3a0e.png)

### Types of cloud

There are 4 types of clouds:

- Normal cloud
  - Hard to find.
  - You may find from 1 to 4 ores.
  - Stronger than diamond.
  - Damage: 11
    - Can kill players with 2 hits.
  - Spawns at 200 blocks and above.
- Cloud star (coming soon)
  - Difficult to find.
  - You may find from 1 to 4 ores.
  - Stronger than cloud and diamond.
  - Damage: 12
    - Can kill players with 2 hits.
  - Spawns at 350 blocks and above.  
- Cloud meteor (coming soon)
  - Very hard to find.
  - You may find from 1 to 3 ores.
  - Stronger than cloud (star) and diamond.
  - Damage: 14
    - Can kill players with 2 hits.
  - Spawns at 500 blocks and above.
- Cloud comet (coming soon)
  - Very difficult to find.
  - You may find only 1 ore.
  - Stronger than all materials.
  - Damage: 17
    - Very strong, can kill a player with 2 hits.
  - Spawns at 800 blocks and above.

## License and credits

Credits to (in no particular order):

- Various Minetest developers/contributors
- [Brett O'Donnell](https://github.com/cornernote)
  - For the function to load an schematic.

See the [`LICENSE.md`](LICENSE.md) file for full information.
